%define major		0
%define libwlocate	%mklibname  wlocate %major
%define libwlocate_d	%mklibname wlocate -d
%define git		git20130127

Name:		libwlocate
Version:	1.1
Release:	%mkrel 0.2
Summary:	Open WLAN Map interface library
Group:		System/Libraries
License:	MIT
URL:		http://code.google.com/p/wlocate/ 
Source0:	libwlocate-git.tar.xz
BuildRequires:	libiw-devel

%description
Library for doing location lookup based on free openwlanmap.org data.

    * accessing the local WLAN-hardware
    * checking for WLAN-networks that are available
    * accessing the database
    * returning the current geographic position or an error code in case localisation failed

#------------------------------------------------------------------------------

%package -n	%{libwlocate}
Summary:	Open WLAN Map interface library
Group:		System/Libraries
Provides:	%name = %version-%release
Provides:	%arch_tagged libwlocate.so

%description -n	%{libwlocate}
Library for doing location lookup based on free openwlanmap.org data.

    * accessing the local WLAN-hardware
    * checking for WLAN-networks that are available
    * accessing the database
    * returning the current geographic position or an error code in case localisation failed

%files -n %{libwlocate}
%_libdir/*.so.%{major}
%_libdir/*.so

#------------------------------------------------------------------------------

%package -n	%{libwlocate_d}
Summary:	Devel files needed to build apps based on %name
Group:		Development/Libraries
Requires:	%{libwlocate} = %version
Provides:	%name-devel = %version-%release

%description -n	%{libwlocate_d}
Devel files needed to build apps based on %name.

%files -n %{libwlocate_d}
%_includedir/libwlocate.h

#-----------------------------------------------------------------------------

%prep
%setup -q -n %{name}

%build

make -f Makelib CCOMPILE="gcc %{optflags}"

%install
rm -rf %buildroot
mkdir -p %{buildroot}/%_libdir %{buildroot}/usr/include

# ensure .so files are executable (0755) for proper -debuginfo extraction
install -m0755 libwlocate.so %{buildroot}/%_libdir/libwlocate.so.0
ln -sf libwlocate.so.0 %{buildroot}/%_libdir/libwlocate.so
install -m0644 libwlocate.h %{buildroot}/usr/include/

chmod 0644 COPYING CREDITS README


%changelog
* Fri Oct 18 2019 tex - 1.1-0.2pclos2019
- rebuild against updates

* Mon Apr 18 2016 bb <bb> 1.1-0.1pclos2016
- git 20130127

